JSONMapProvider (Apache Hadoop HttpFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.lib.wsrs, class: JSONMapProvider

Package org.apache.hadoop.lib.wsrs

# Class JSONMapProvider

java.lang.Object
org.apache.hadoop.lib.wsrs.JSONMapProvider

All Implemented Interfaces:
  `javax.ws.rs.ext.MessageBodyWriter<Map>`

@Provider @Produces("application/json; charset=utf-8") @Private public class JSONMapProvider extends Object implements javax.ws.rs.ext.MessageBodyWriter<Map>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSONMapProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getSize(Map map, Class<?> aClass, Type type, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
  `boolean`
  `isWriteable(Class<?> aClass, Type type, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
  `void`
  `writeTo(Map map, Class<?> aClass, Type type, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> stringObjectMultivaluedMap, OutputStream outputStream)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JSONMapProvider

    public JSONMapProvider()

- ## Method Details

  - ### isWriteable

    public boolean isWriteable(Class<?> aClass, Type type, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)
    Specified by:
      `isWriteable` in interface `javax.ws.rs.ext.MessageBodyWriter<Map>`

  - ### getSize

    public long getSize(Map map, Class<?> aClass, Type type, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)
    Specified by:
      `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<Map>`

  - ### writeTo

    public void writeTo(Map map, Class<?> aClass, Type type, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> stringObjectMultivaluedMap, OutputStream outputStream) throws IOException, javax.ws.rs.WebApplicationException
    Specified by:
      `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<Map>`
    Throws:
      `IOException`
      `javax.ws.rs.WebApplicationException`